import { EventEmitter, OnInit } from '@angular/core';
export declare class DateYearComponent implements OnInit {
    openDropdown: boolean;
    currentYear: number;
    numYearsBefore: number;
    numYearsAfter: number;
    year: number;
    set setYear(year: string | number);
    yearChange: EventEmitter<any>;
    get range(): number[];
    private ulList;
    constructor();
    ngOnInit(): void;
    goToYear(): void;
}
